Ticket #2811 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

DoCoMo 端末における iモードID 取得機能

Reported by: ebihara Assigned to: ebihara
Priority: minor Milestone: OpenPNE2.13.2
Component: pne-ktai Version: 2.14.x
Keywords: Cc:

Description (Last modified by kudo)

■概要

DoCoMo? 端末における iモードID 取得機能の実装。

■仕様

取得部分のコードについては kunitsuji1109 さんから r7645 にて提供していただいたので、これを取り込む。

これにより、従来の個体識別番号取得部分よりも iモードID を優先して取得してしまうため、既に稼働している SNS のメンバーの一部は、かんたんログインをするために個体識別番号の再登録をおこなう必要が生じてしまうので、

  • config.php / 管理画面のSNS設定で取得するかどうかを選択できるようにする
  • ログイン画面に注意書きを設ける

など、何かしらフォローするための措置を設ける。

■関連情報

Change History

09/03/08 21:24:56 changed by ebihara

OpenPNE開発談義での討論の結果、

  • このチケットでは iモードID を優先して取得しないようにする
  • 今後、対応方法を練った上で iモードID を優先して取得していけるようにする

という形で対応していこうと思います。

以下、ログになります。

海老原昂輔 17:39
では、iモードID も  HTTP_X_JPHONE_UID も、現時点では既存のSNSに影響を与えないように、優先して取得しないようにする。
そして、
優先して取得するようにするための改善用のチケットを作成してそこで継続して意見を募り、議論して対応方法を決める。
という方針はどうでしょう。

09/03/08 22:04:20 changed by ebihara

r8188 でいただいたコードをマージしました。

09/03/08 22:09:17 changed by ebihara

  • keywords set to 確認中.

r8189 で、iモードIDを優先して取得しないようにする変更をおこないました。

09/08/08 20:45:30 changed by ebihara

  • owner changed from nobody to ebihara.
  • status changed from new to assigned.

09/08/08 21:32:52 changed by ogawa

  • keywords changed from 確認中 to 差し戻し.

#2812にも関連しますが、元のコードではキャリアごとのコードの区切りに空行が挿入されていましたが今回の変更で削除されています。

http://trac.openpne.jp/changeset?new=OpenPNE%2Ftrunk%2Fwebapp%2Flib%2FOpenPNE%2FKtaiID.php%408189&old=OpenPNE%2Ftrunk%2Fwebapp%2Flib%2FOpenPNE%2FKtaiID.php%406527

変更を元に戻すか、もしくは削除で統一するのであればSoftBank?とauの間の空行も削除してください。

09/08/08 21:56:30 changed by ebihara

  • keywords changed from 差し戻し to 確認中.

r8246 で修正しました。

09/08/08 23:16:23 changed by ogawa

  • keywords changed from 確認中 to テスト待ち.

09/08/08 23:30:15 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

05/25/09 16:38:43 changed by kudo

  • description changed.